<body>

<p style="font-family: Verdana, sans-serif; font-size: 20px; font-weight: bold;">Robert's DISC Profile</p>

<canvas id="disc_canvas" width="500" height="500" style="border:0px solid #000;">

<script>

    var myStringArray = ["#f7a08e","#6dbce3", "#ffd167", "#8acc9c"];
    var arrayLength = myStringArray.length;
    for (var i = 0; i < arrayLength; i++) {

        var c = document.getElementById("disc_canvas");
        var ctx = c.getContext("2d");
        ctx.beginPath();
        ctx.moveTo(250, 250)
        ctx.arc(250, 250, 200, i * 0.5 * Math.PI - (0.5 * Math.PI), i * 0.5 * Math.PI);
        ctx.closePath() 
        ctx.fillStyle = myStringArray[i];
        ctx.fill();
        ctx.lineWidth = 2;
        ctx.strokeStyle = '#000000';
        ctx.stroke();
    }

    var c = document.getElementById("disc_canvas");
    var ctx = c.getContext("2d");
    ctx.beginPath();
    ctx.arc(120, 110, 10, 0, 2 * Math.PI);
    ctx.closePath() 
    ctx.fillStyle = '#000000';
    ctx.fill();

    ctx.font="50px Verdana";
    ctx.fillText("D", 150, 200);
    ctx.fillText("I", 320, 200);
    ctx.fillText("S", 320, 350);
    ctx.fillText("C", 150, 350);

</script>
</body>
